Skip to main content
GET
Typescript (SDK)

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

session_id
string
required

Response

Successful Response

A session is a building block of a conversation.

timestamp
string<date-time>
required

Timestamp of the session

session_id
string | null

Internal ID of the session, generated based on interaction details

conversation_id
string | null

ID of the conversation of which the session is a part

channel_manager_service
string | null

Name of the service used to facilitate the session

Example:

"hedy"

channel_manager_type
string | null

Type of the service used to facilitate the session

Example:

"voice_sip_v1"

channel_manager_sid
string | null

Channel-manager-side ID of the session (different from session_id)

agent_id
string | null

ID of the agent with which the session occurred

agent_name
string | null

Name of the agent with which the session occurred

agent_type
string | null

Type of the agent with which the session occurred

agent_timezone
string | null

Timezone of the agent with which the session occurred

prompt_id
string | null

ID of the prompt used by the agent with which the session occurred

prompt_name
string | null

Name of the prompt used by the agent with which the session occurred

prompt_version
string | null

Legacy prompt version timestamp used by the agent with which the session occurred

prompt_version_number
integer | null

Prompt version number used by the agent with which the session occurred (new system)

duration
number | null

Duration of the session in seconds

session_label_id
string | null

ID of the label (listing the quality of the session and any issues that occurred) associated with the session

source
string | null

Source of the session (e.g., for an inbound session, the user's phone number/username/email)

Example:

"+18042221111"

target
string | null

The name of the channel target associated with the agent at the time of the session (see ChannelTargetResponse.target)

is_legacy
boolean | null

Whether the session occurred on the legacy Syllable system

is_test
boolean | null

Whether the session is a test session

is_outbound
boolean | null

Whether the session direction is outbound (true) or inbound (false).

user_terminated
boolean | null

Whether the voice session was ended by the recipient (outbound) / caller (inbound). False if the user was transferred or there was an error. Unset if the session was not a voice session.

transfer_voicemail_detected
boolean | null

Whether a voicemail was detected during the transfer leg of the session